Bug 1249014 - [abrt] control-center: XQueryExtension(): gnome-control-center killed by SIGSEGV
[abrt] control-center: XQueryExtension(): gnome-control-center killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:606bf90514d1b5434ce6d4f52f4...
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-07-31 06:36 EDT by Алексей Смирнов
Modified: 2016-01-18 10:42 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-18 09:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.30 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: core_backtrace (12.71 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: dso_list (28.02 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: environ (950 bytes, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: maps (124.20 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: open_fds (1.66 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-07-31 06:36 EDT, Алексей Смирнов
no flags Details

  None (edit)
Description Алексей Смирнов 2015-07-31 06:36:28 EDT
Description of problem:
Open a category "Tablet Wacom" in the settings (Wayland session)

Version-Release number of selected component:
control-center-3.17.3-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: XQueryExtension
executable:     /usr/bin/gnome-control-center
global_pid:     4566
kernel:         4.2.0-0.rc4.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 _XiFindEventsSupported at XExtInt.c:171
 #2 XInput_find_display at XExtInt.c:221
 #3 XListInputDevices at XListDev.c:184
 #4 gsd_wacom_device_constructor at gsd-wacom-device.c:1439
 #5 g_object_new_with_custom_constructor at gobject.c:1692
 #6 g_object_new_internal at gobject.c:1772
 #7 g_object_new_valist at gobject.c:2033
 #9 gsd_wacom_device_new at gsd-wacom-device.c:1653
 #10 add_known_device at cc-wacom-panel.c:365

Potential duplicate: bug 1224728
Comment 1 Алексей Смирнов 2015-07-31 06:36:32 EDT
Created attachment 1058017 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-07-31 06:36:34 EDT
Created attachment 1058018 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-07-31 06:36:35 EDT
Created attachment 1058019 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-07-31 06:36:37 EDT
Created attachment 1058020 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-07-31 06:36:38 EDT
Created attachment 1058021 [details]
File: environ
Comment 6 Алексей Смирнов 2015-07-31 06:36:40 EDT
Created attachment 1058022 [details]
File: limits
Comment 7 Алексей Смирнов 2015-07-31 06:36:42 EDT
Created attachment 1058023 [details]
File: maps
Comment 8 Алексей Смирнов 2015-07-31 06:36:43 EDT
Created attachment 1058024 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-07-31 06:36:45 EDT
Created attachment 1058025 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-07-31 06:36:46 EDT
Created attachment 1058026 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-07-31 06:36:47 EDT
Created attachment 1058027 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-07-31 06:36:49 EDT
Created attachment 1058028 [details]
File: var_log_messages
Comment 13 Marek Doležel 2016-01-12 18:10:05 EST
Another user experienced a similar problem:

1.In gnome-control center click on "Wacom Tablet"
2. crash :)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: XQueryExtension
executable:     /usr/bin/gnome-control-center
global_pid:     9804
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
package:        control-center-3.19.4-1.fc24
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Marek Doležel 2016-01-15 14:05:36 EST
This happens still on current rawhide on wayland. X11 session is not affected.
Comment 15 Rui Matos 2016-01-18 09:03:04 EST
This should be fixed in the 3.19.5 release soon. Note that there's no wacom support yet under wayland so the panel will show up empty.
Comment 16 Marek Doležel 2016-01-18 09:33:29 EST
(In reply to Rui Matos from comment #15)
> This should be fixed in the 3.19.5 release soon. Note that there's no wacom
> support yet under wayland so the panel will show up empty.

Crash fixed. Wacom support for wayland will be implemented in libinput? Just asking if i understand input system correctly.
Comment 17 Rui Matos 2016-01-18 10:42:52 EST
(In reply to Marek Doležel from comment #16)
> Crash fixed. Wacom support for wayland will be implemented in libinput? Just
> asking if i understand input system correctly.

It needs implementation in libinput and new protocol implementation which is still under review in the wayland-devel list.

Note You need to log in before you can comment on or make changes to this bug.